Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.18.14 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25435

Description

In former times MYSQL Connection from a table as saved in the QGS File as:

&lt;datasource&gt;MySQL:OrkanDB,host=Server,port=3306,user=webuser,password=xxxx,tables=gewstation|layername=gewst

tion&lt;/datasource&gt;

Now it is saved as: 

&lt;datasource&gt;MySQL:OrkanDB,host=Server,port=3306,user=webuser,password=xxxx|layerid=93&lt;/datasource&gt;

If I add or insert a table in the database from Mysql, the layerid will be changed an QGIS connect with an other table. 

To save the connection to a table over the layerid is not a good idea. In former Times it was better!

History

#1 - 2017-11-23 06:13 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from Yes to No

Do you know what was the last release were it worked as expected?

#2 - 2017-11-24 09:20 AM - Gerd Dreier

Sorry, i don't know the release, but I update periodically. So it was changed between Feb. 2016 and March 2017.

#3 - 2017-11-24 09:26 AM - Alessandro Pasotti

- Category changed from Data Provider to Data Provider/OGR

#4 - 2017-11-24 09:28 AM - Alessandro Pasotti

It would be useful if you could confirm this bug on master. IIRC there were some recent changes in the way sublayers are referred to in OGR provider.

#5 - 2018-06-01 02:43 PM - Even Rouault

- Resolution set to fixed/implemented
I'm pretty sure this is a known issue that has been fixed in the QGIS 3 line. Previously for multi-layer datasources, the project stored them with a layer

index, which was unstable if the datasource had layers removed or added. QGIS3 now stores the layer name instead.

Closing as fixed in QGIS 3

#6 - 2018-06-01 02:43 PM - Even Rouault

- Status changed from Feedback to Closed
